# OVH-server-tracker

An OVH server tracker for Kimsufi, maybe So You Start.

## Purpose

The objective is to **send notifications** when the Kimsufi server you want is available in the zone(s) desired.
There is many type of notification listed here : https://github.com/caronc/apprise
Actualy only email, xmpp are supported here. Easy to integrate other (see `src/notifications.py`)
Discord and Matrix are planned.

## Documentation

### References and zones

In `config/`, you can find [the list of references](https://git.dryusdan.fr/Dryusdan/OVH-server-tracker/src/branch/stable/config/refToName.yml) 
Zone are fra, gra, rbx, sbg for Kimsufi

## Installation

+ `git clone https://git.dryusdan.fr/Dryusdan/OVH-server-tracker.git`
+ `cd /OVH-server-tracker`
+ Create virtual environment: `python3 -m venv .`
+ Source it: `source bin/activate`
+ Install dependencies: `pip install -r requirements.txt`
+ `cp config/kimsufi.sample.yml config/kimsufi.yml`
+ Edit *config/kimsufi.yml*
+ `python3 servertracker.py`
